PROBE::SOCKET.READ(3stap)

NAME
probe::socket.read_iter - Receiving message via sock_read_iter

SYNOPSIS

socket.read_iter

VALUES

name
    Name of this probe

size
    Message size in bytes

type
    Socket type value

state
    Socket state value

family
    Protocol family value

protocol
    Protocol value

flags
    Socket flags value

CONTEXT

The message sender

DESCRIPTION

Fires at the beginning of receiving a message on a socket via the sock_read_iter function

SEE ALSO
tapset::socket(3stap)